post
https://rls.congacloud.com/api/cart/v1/carts//items/clone
Clones line items based on the primary line numbers passed in the request body. This API creates an exact copy of the lines along with the saved configuration. The cartId parameter is required.
This API validates the following during runtime:
- All the selected primary line items for both standalone and bundle are cloned at once.
- Bundle line items are cloned along with all secondary line items.
- The product is copied with its configuration, including options.
- Pricing is re-evaluated to price the newly created line.
- After cloning, all pricing calls are executed and the summary group is updated based on the latest pricing information.
- All cloned lines are added as new lines at the end of the cart.
- Any custom fields on the line items are also copied.
- Any price rules or price matrices included as part of pricing are also executed.
- Any manual adjustments applied to the line items are not copied.
Required Fields:
cartId(route) - requiredlineItems(body) - must not be null or emptylineItems[].PrimaryLineNumber- required to identify which line item to clone
Responses
- 200 OK: the line items were cloned.
- 202 Accepted: the clone request was accepted for processing.
- 422 Unprocessable Entity: the request could not be processed for the cart.
- 500 Internal Server Error: an unexpected error occurred.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
200OK
202Accepted
500Internal Server Error
